

echo off
echo    h4toh5 converter library testing command on windows 
echo    should include two parameters and  
echo    should be input as the following format:
echo    	h4h5libtestrun para1 para2 
echo 		********** WARNINGS: **********
echo If parameters for testing are input incorrectly,
echo    testing results will not reflect the status of 
echo    the tool.
echo    Parameter 1 is the version of h4toh5 library test(Debug or Release)
echo 		the current version is 
echo                   %1
echo    parameter 2 is either dll or empty 
echo 	  non-dll version will not print anything on the next line
echo    this batch file is supposed that h5dump is stored at
echo    "C:\5-144-win\c\release\bin\", you should manually adjust
echo    this path if your h5dump path is not stored this way.
echo on
echo %2
echo off

echo    I. For h4toh5 library default test
echo    using %1 version
cd h4h5apitestdefault%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\vg_all_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library default case conversion(h5 file will be created) 
echo on
echo
h4h5apitestdefault%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vg_all_test.h5 >vg_all_test.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\vg_all_test.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  vg_all_test.h5 >vg_all_test.expected
fc  vg_all_test.expected vg_all_test.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    II. For h4toh5 library name test
echo    using %1 version
cd h4h5apitestname%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\vg_all_testname.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library name case conversion(h5 file will be created) 
echo on
echo
h4h5apitestname%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vg_all_testname.h5 >vg_all_testname.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\vg_all_testname.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  vg_all_testname.h5 >vg_all_testname.expected
fc  vg_all_testname.expected vg_all_testname.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\



echo    III. For h4toh5 library advanced vgroup test
echo    using %1 version
cd h4h5apitestadvgroup%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\testallvgroup.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library "advanced" vgroup conversion case conversion(h5 file will be created) 
echo on
echo
h4h5apitestadvgroup%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  testallvgroup.h5 >testallvgroup.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\testallvgroup.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  testallvgroup.h5 >testallvgroup.expected
fc  testallvgroup.expected testallvgroup.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\


echo    IV. For h4toh5 library basic vgroup test
echo    using %1 version
cd h4h5apitestbasvgroup%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\vg_bas_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library basic vgroup conversion case conversion(h5 file will be created) 
echo on
echo
h4h5apitestbasvgroup%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vg_bas_test.h5 >vg_bas_test.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\vg_bas_test.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  vg_bas_test.h5 >vg_bas_test.expected
fc  vg_bas_test.expected vg_bas_test.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    V. For h4toh5 library vdata test
echo    using %1 version
cd h4h5apitestvdata%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\vdata_lib_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library Vdata conversion(h5 file will be created) 
echo on
echo
h4h5apitestvdata%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vdata_lib_test.h5 >vdata_lib_test.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\vdata_lib_test.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  vdata_lib_test.h5 >vdata_lib_test.expected
fc  vdata_lib_test.expected vdata_lib_test.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\


echo    VI. For h4toh5 library sds test
echo    using %1 version
cd h4h5apitestsds%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\sds_lib_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library SDS  conversion(h5 file will be created) 
echo on
echo
h4h5apitestsds%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  sds_lib_test.h5 >sds_lib_test.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\sds_lib_test.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  sds_lib_test.h5 >sds_lib_test.expected
fc  sds_lib_test.expected sds_lib_test.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    VII. For h4toh5 library image test
echo    using %1 version
cd h4h5apitestimage%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\image_lib_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library image conversion(h5 file will be created) 
echo on
echo
h4h5apitestimage%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  image_lib_test.h5 >image_lib_test.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\image_lib_test.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  image_lib_test.h5 >image_lib_test.expected
fc  image_lib_test.expected image_lib_test.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    VIII. For h4toh5 library image attribute test
echo    using %1 version
cd h4h5apitestimageattr%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\image_lib_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library image attribute conversion(h5 file will be created) 
echo on
echo
h4h5apitestimageattr%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  image_lib_testattr.h5 >image_lib_testattr.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\image_lib_testattr.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  image_lib_testattr.h5 >image_lib_testattr.expected
fc  image_lib_testattr.expected image_lib_testattr.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    IX. For h4toh5 library sds attribute test
echo    using %1 version
cd h4h5apitestsdsattr%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\sds_lib_test.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library SDS attribute conversion(h5 file will be created) 
echo on
echo
h4h5apitestsdsattr%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  sds_lib_testattr.h5 >sds_lib_testattr.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\sds_lib_testattr.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  sds_lib_testattr.h5 >sds_lib_testattr.expected
fc  sds_lib_testattr.expected sds_lib_testattr.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    X. For h4toh5 library independent SDS conversion test
echo    using %1 version
cd h4h5apitestlonesds%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\sds_lib_lonetest.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library independent SDS conversion(h5 file will be created) 
echo on
echo
h4h5apitestlonesds%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  sds_lib_lonetest.h5 >sds_lib_lonetest.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\sds_lib_lonetest.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  sds_lib_lonetest.h5 >sds_lib_lonetest.expected
fc  sds_lib_lonetest.expected sds_lib_lonetest.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    XI. For h4toh5 library independent image conversion test
echo    using %1 version
cd h4h5apitestloneimage%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\image_lib_lonetest.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library default case conversion(h5 file will be created) 
echo on
echo
h4h5apitestloneimage%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  image_lib_lonetest.h5 >image_lib_lonetest.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\image_lib_lonetest.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  image_lib_lonetest.h5 >image_lib_lonetest.expected
fc  image_lib_lonetest.expected image_lib_lonetest.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\

echo    XII. For h4toh5 library lonevdata conversion test
echo    using %1 version
cd h4h5apitestlonevdata%2\%1
echo  	--------------STEP ONE----------------
echo 	copy original test files into the current directory
echo on
copy ..\..\..\testfiles\vdata_lib_lonetest.hdf . 
echo off 
echo --------------STEP TWO-------------------

echo 	doing h4toh5 library lone Vdata conversion(h5 file will be created) 
echo on
echo
h4h5apitestlonevdata%2
echo off
echo   copying converted hdf5 files into the directory where "h5dump" is located
echo on
echo
copy C:\5-144-win\c\release\bin\h5dump.exe .

echo off
echo   Deleting the converted hdf5 file under the current directory 
echo on
del *.hdf

echo off
echo   go to the path where h5dump is located:
echo ------------STEP THREE-------------
echo   now using h5dump to dump the converted h5 files

echo on
echo
h5dump  vdata_lib_lonetest.h5 >vdata_lib_lonetest.results
del *.h5
echo ------------STEP FOUR-------------------
echo copying the expected hdf5 file into the directory where dumper is located.

echo on
copy ..\..\..\testfiles\Expected\vdata_lib_lonetest.h5 .

echo off
echo ----------STEP FIVE-----------------
echo using h5dump to generate output from expected hdf5 files
echo on

h5dump  vdata_lib_lonetest.h5 >vdata_lib_lonetest.expected
fc  vdata_lib_lonetest.expected vdata_lib_lonetest.results

echo off
echo   now deleting EXPECTED h5 files 

del *.h5
del *.expected 
del *.results
del h5dump.exe
cd ..\..\


